Object.defineProperty(exports, "__esModule", { value: true });
const loader_utils_1 = require("loader-utils");
const loaderName = '@common-stack/env-list-loader';
const optionsSchema = {
    type: 'object',
    properties: {
        search: {
            anyOf: [
                {
                    instanceof: 'RegExp',
                },
                {
                    type: 'string',
                },
            ],
        },
        comment: {
            type: 'boolean',
        },
        flags: {
            type: 'string',
        },
        strict: {
            type: 'boolean',
        },
    },
    additionalProperties: false,
};
const defaultOptions = {
    search: null,
    replace: null,
    flags: null,
    strict: false,
};
function getOptionsArray(config) {
    const rawOptions = (0, loader_utils_1.getOptions)(config);
    const rawOptionsArray = typeof rawOptions.multiple !== 'undefined' ? rawOptions.multiple : [rawOptions];
    const optionsArray = [];
    for (const optionsIndex in rawOptionsArray) {
        // validate(optionsSchema, rawOptionsArray[optionsIndex], { name: loaderName });
        optionsArray[optionsIndex] = Object.assign({}, defaultOptions, rawOptionsArray[optionsIndex]);
    }
    return optionsArray;
}
exports.default = getOptionsArray;
//# sourceMappingURL=getOptionsArray.js.map